Name: gwenview
Version: 1.4.1
Release: alt2
Summary: Simple image viewer for KDE.
License: GPL
Group: Graphics
URL: http://gwenview.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2
Source2: cursors.tar.bz2

Requires: lib%name = %version-%release kipi-plugins

BuildRequires: fontconfig gcc-c++ kdelibs-devel libXcursor-devel libXext-devel
BuildRequires: libXt-devel libexiv2-devel libjpeg-devel libkipi-devel libmng-devel
BuildRequires: libpng-devel pkg-config qt3-designer xml-utils

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide easy
navigation in your file hierarchy.  Image loading is done by the Qt library,
so it supports all image formats your Qt installation supports.

%package -n lib%name
Summary: Library associated with %name
Group: System/Libraries

%description -n lib%name
This package contains shared libraries used by %name

%prep
%setup -q

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%make -f admin/Makefile.common cvs ||:

%build
%configure \
        --disable-rpath \
	--enable-final
%make_build

%install
%make DESTDIR=%buildroot install

%__tar -xjf %SOURCE2 -C %buildroot%_datadir/apps/%name

%find_lang --with-kde %name

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f %name.lang
%_bindir/%name
%_libdir/kde3/*.so
%_datadir/apps/konqueror/servicemenus/*
%_datadir/apps/%name
%_datadir/apps/gvdirpart
%_datadir/apps/gvimagepart
%_datadir/apps/kconf_update/*
%_datadir/applications/kde/%name.desktop
%_datadir/services/*.desktop
%_datadir/config.kcfg/*.kcfg
%_iconsdir/*/*/*/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*
%_libdir/libkdeinit_gwenview.so

%changelog
* Fri Dec 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt2
- build with --enable-final

* Mon Nov 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Mon Sep 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Thu Aug 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.93-alt1
- 1.3.93

* Sun Jul 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.92b-alt1
- 1.3.92b

* Sun Jun 25 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.91-alt1
- 1.3.91

* Tue Jan 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.3.1-alt2
- move to freedesktop menu

* Wed Dec 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Mon Sep 12 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.0-alt1
- 1.3.0

* Mon Aug 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.92-alt1
- 1.2.92

* Sun Jul 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.91-alt1
- 1.2.91

* Sun Jul 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt3
- fixed BuildRequires

* Mon Apr 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt2
- 1.2.0

* Sun Mar 20 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre4
- 1.2.0pre4

* Sun Feb 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre3
- 1.2.0pre3

* Mon Feb 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre2
- 1.2.0pre2

* Mon Jan 24 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1.pre1
- 1.2.0pre1

* Tue Jan 11 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Mon Dec 20 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Fri Oct 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Sat Sep 25 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.5-alt2
- update drag cursors

* Tue Sep 21 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Wed Aug 25 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.4-alt1
- 1.1.4 

* Sat Mar 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- initial release
